#
# spec file for package python-django-classy-tags
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-django-classy-tags
Version:        4.1.0
Release:        1.3
Summary:        Class based template tags for Django
License:        MIT
URL:            https://github.com/ojii/django-classy-tags
Source:         https://github.com/divio/django-classy-tags/archive/%{version}.tar.gz
BuildRequires:  %{python_module Django >= 3.2}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 3.2
BuildArch:      noarch
%python_subpackages

%description
This project creates an altnerate way of writing Django template tags
which is fully compatible with the current Django templating infrastructure.

%prep
%autosetup -p1 -n django-classy-tags-%{version}
sed -i 's/verbosity=1/verbosity=2/' tests/settings.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONPATH='.'
%python_exec tests/settings.py

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/classytags/
%{python_sitelib}/django_classy_tags*egg-info/

%changelog
* Wed Nov 29 2023 Dirk Müller <dmueller@suse.com>
- update to 4.1.0:
  * Django 4.2 support
  * Dropped support for Python 3.7
  * Added support for Python 3.11
  * Dropped support for Django < 3.2
  * Added support for Django 4.1
  * Start testing against Django's `main` branch
- drop django-4-1-support.patch (upstream)
* Wed Jun 21 2023 Andreas Schneider <asn@cryptomilk.org>
- Use sle15_python_module_pythons
* Mon Sep 26 2022 Steve Kowalik <steven.kowalik@suse.com>
- Update to 4.0.1:
  * Update manifest to include all the tests dir (#72)
  * Added support for Django 3.2 and 4.0
  * Drop support for python 3.5 and 3.6
- Drop patch dj40.patch, included upstream.
- Add patch django-4-1-support.patch:
  * Add support for Django >= 4.1
* Sun Jan  9 2022 John Vandenberg <jayvdb@gmail.com>
- Add dj40.patch for Django 4 compatibility
- Skip Python 2 to allow Python 3 Leap to build
* Tue May 25 2021 Markéta Machová <mmachova@suse.com>
- Do not package tests
* Thu May 20 2021 pgajdos@suse.com
- version update to 2.0.0
  * Added support for Django 3.1
  * Dropped support for Python 2.7 and Python 3.4
  * Dropped support for Django < 2.2
  * Replaced pep8 with flake8
- do not use deprecated setup.py test
* Thu Feb 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.0.0:
  * Added isort and adapted imports
  * Adapted code base to align with other supported addons
  * Adapted README.rst instructions
  * Added support for Django 3.0
  * Added support for Python 3.8
* Mon May 20 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.0:
  * Fix with new python/django
- Remove merged django2.patch
* Fri Jan  4 2019 Jan Engelhardt <jengelh@inai.de>
- Trim filler wording from description.
* Thu Jan  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Drop patch django-classy-tags_disable-test.patch
- Remove debian rules
- Use github tarball to get tests
- Add patch to work with current django releases:
  * django2.patch
- Make sure the tests are run
- Install license
* Thu Nov  1 2018 appleonkel@opensuse.org
- upgrade to 0.8.0
* Tue Mar 18 2014 oliver.bengs@opensuse.org
- initial build
- added patches:
  * django-classy-tags_disable-test.patch
